Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718172 - app-admin/denyhosts: need py3.7 & 3.8 port
Summary: app-admin/denyhosts: need py3.7 & 3.8 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-04-19 11:47 UTC by Michał Górny
Modified: 2020-07-10 10:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-19 11:47:32 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 09:46:41 UTC
Ping.
Comment 2 Larry the Git Cow gentoo-dev 2020-06-01 16:36:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aa145867a3da1894dd50fff7e726cc038edc721

commit 4aa145867a3da1894dd50fff7e726cc038edc721
Author:     Christoph Junghans <junghans@gentoo.org>
AuthorDate: 2020-06-01 14:29:52 +0000
Commit:     Christoph Junghans <junghans@gentoo.org>
CommitDate: 2020-06-01 16:35:52 +0000

    app-admin/denyhosts: add python3.{7,8} support
    
    Closes: https://bugs.gentoo.org/718172
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Christoph Junghans <junghans@gentoo.org>

 app-admin/denyhosts/denyhosts-3.0-r2.ebuild | 66 +++++++++++++++++++++++++++++
 app-admin/denyhosts/metadata.xml            |  6 +--
 2 files changed, 69 insertions(+), 3 deletions(-)